#!/usr/bin/env python

# Copyright (c) 2012, Natacha Porté
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os
import sys
import zipfile

if len(sys.argv) < 2:
	print "Usage: " + sys.argv[0] + " file.odf [content-path]"
	sys.exit()

output = sys.argv[1]

if len(sys.argv) > 2:
	content_dir = sys.argv[2]
else:
	content_dir = "."


zipf = zipfile.ZipFile(output, "w", zipfile.ZIP_DEFLATED)

zipf.write(os.path.join(content_dir, 'mimetype'), 'mimetype', zipfile.ZIP_STORED)
for path, dirs, files in os.walk(content_dir):
	for f in files:
		if f == 'mimetype' or f[0] == '.': continue
		ff = os.path.normpath(os.path.join(path, f))
		zipf.write(ff, os.path.relpath(ff, content_dir))
zipf.close()
